# ModelingToolkit Standard Library: Mechanical Components

```@contents
Pages = ["mechanical.md"]
Depth = 3
```

## Index

```@index
Pages = ["mechanical.md"]
```

## Rotational Components

```@meta
CurrentModule = ModelingToolkitStandardLibrary.Mechanical.Rotational
```

### Rotational Utils

```@docs
Flange
Support
PartialCompliantWithRelativeStates
PartialElementaryOneFlangeAndSupport2
PartialElementaryTwoFlangesAndSupport2
PartialCompliant
```

### Rotational Core Components

```@docs
Fixed
Inertia
Spring
Damper
SpringDamper
IdealGear
RotationalFriction
```

### Rotational Sources

```@docs
Torque
Speed
```

### Rotational Sensors

```@docs
AngleSensor
SpeedSensor
TorqueSensor
RelSpeedSensor
```
